Bug 819069 - [abrt] thunderbird-12.0.1-1.fc17: g_logv: Process /usr/lib64/thunderbird/thunderbird-bin was killed by signal 5 (SIGTRAP)
[abrt] thunderbird-12.0.1-1.fc17: g_logv: Process /usr/lib64/thunderbird/thun...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
abrt_hash:11da2bc3f4bd43fb0732cc91490...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 14:12 EDT by Pavel Alexeev
Modified: 2013-08-01 13:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (9.73 KB, text/plain)
2012-05-04 14:12 EDT, Pavel Alexeev
no flags Details
File: backtrace (126.60 KB, text/plain)
2012-05-04 14:12 EDT, Pavel Alexeev
no flags Details
File: smolt_data (3.62 KB, text/plain)
2012-05-04 14:12 EDT, Pavel Alexeev
no flags Details
File: maps (71.90 KB, text/plain)
2012-05-04 14:12 EDT, Pavel Alexeev
no flags Details
File: dso_list (14.54 KB, text/plain)
2012-05-04 14:12 EDT, Pavel Alexeev
no flags Details
File: build_ids (5.57 KB, text/plain)
2012-05-04 14:12 EDT, Pavel Alexeev
no flags Details
File: open_fds (613.06 KB, text/plain)
2012-05-04 14:12 EDT, Pavel Alexeev
no flags Details
Backtrace by instruction. (138.53 KB, application/octet-stream)
2012-08-22 08:05 EDT, Pavel Alexeev
no flags Details
Happened again (258.73 KB, application/octet-stream)
2012-08-23 13:02 EDT, Pavel Alexeev
no flags Details

  None (edit)
Description Pavel Alexeev 2012-05-04 14:12:29 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/thunderbird/thunderbird-bin --sm-config-prefix /thunderbird-bin-ChZN1g/ --sm-client-id 10d1e9d7d5000133267440300000016470092 --screen 0
crash_function: g_logv
executable:     /usr/lib64/thunderbird/thunderbird-bin
kernel:         3.3.2-6.fc16.x86_64
pid:            25697
pwd:            /home/pasha
remote_result:  NOTFOUND
time:           Пт. 04 мая 2012 20:24:45
uid:            1000
username:       pasha

backtrace:      Text file, 129639 bytes
build_ids:      Text file, 5699 bytes
dso_list:       Text file, 14891 bytes
event_log:      Binary file, 9967 bytes
maps:           Text file, 73626 bytes
open_fds:       Text file, 627777 bytes
smolt_data:     Binary file, 3711 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/pasha/2

core_backtrace:
:8568e11bef79abaf14513d18a8559282d8dad34a 0x4e821 g_logv libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x4e9b2 g_log libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x829d3 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x457d7 g_main_context_new libglib-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0xbb722 g_dbus_connection_send_message_with_reply_sync libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0xbbb80 - libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0xc7125 - libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0xc9043 g_dbus_proxy_call_sync libgio-2.0.so.0 -
:301bb855a0952a10241e6d7190773fdabf23e383 0x3c42 notify_notification_show libnotify.so.4 -
:1004333dea1bea7d908d3740a3e0adfa26f4098e 0x5860 - libmozgnome.so -
:1004333dea1bea7d908d3740a3e0adfa26f4098e 0x596a - libmozgnome.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x7b6b08 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x7b350a - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x7a53ff - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x7b9955 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x129e878 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x129f444 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x7b8ebc - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x7a7ee4 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x7a8a52 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x7a8c23 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x1219c4a - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x7b4d47 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x7715bc - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x6c4255 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x6c4403 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x121a1be - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x12283e1 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x11fdf2a - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x1199948 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x1245a3b - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0xf0224d - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0xde3c47 - libxul.so -
:852cc5ebe9ccf372b885e5741459b18c3839dd45 0x6a84bd XRE_main libxul.so -
:28bfde56cba0480318b9e2e0f1baf45c5c358fbf 0x1d09 - [exe] -

environ:
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:ORBIT_SOCKETDIR=/tmp/orbit-pasha
:KDE_MULTIHEAD=false
:'LESS_TERMCAP_mb=\x1b[01;31m'
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1639
:HOSTNAME=hubbitus
:IMUS_HOME=/home/pasha/imus
:'LESS_TERMCAP_md=\x1b[01;31m'
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:'LESS_TERMCAP_me=\x1b[0m'
:TERM=dumb
:SHELL=/bin/bash
:XDG_MENU_PREFIX=kde4-
:HISTSIZE=1000
:XDG_SESSION_COOKIE=91f3bb73516042ca0159a68e00000015-1336117781.488552-524293595
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/pasha/.gtkrc-2.0:/home/pasha/.gtkrc-2.0-kde4:/home/pasha/.kde/share/config/gtkrc-2.0
:XRE_PROFILE_NAME=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/pasha/.gtkrc:/home/pasha/.kde/share/config/gtkrc
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/pasha/keyring-hBGmOQ
:'LESS_TERMCAP_ue=\x1b[0m'
:QTINC=/usr/lib64/qt-3.3/include
:MOZILLA_FIVE_HOME=/usr/lib64/thunderbird
:KDE_FULL_SESSION=true
:'IMSETTINGS_MODULE=X compose table'
:USER=pasha
:XRE_PROFILE_LOCAL_PATH=
:LD_LIBRARY_PATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird/plugins:/usr/lib64/thunderbird
:XRE_START_OFFLINE=
:SSH_AUTH_SOCK=/tmp/ssh-DekBlgpk1514/agent.1514
:LIBPATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird
:GNOME_DISABLE_CRASH_DIALOG=1
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1740,unix/unix:/tmp/.ICE-unix/1740
:USERNAME=pasha
:MOZ_APP_LAUNCHER=/usr/bin/thunderbird
:'LESS_TERMCAP_us=\x1b[01;32m'
:MAIL=/var/spool/mail/pasha
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/pasha/bin:/usr/sbin:/home/pasha/bin/php_templates:/home/pasha/bin:/usr/sbin:/home/pasha/bin/php_templates:/home/pasha/bin:/usr/sbin:/home/pasha/bin/php_templates:/home/pasha/bin:/usr/sbin:/home/pasha/bin/php_templates
:QT_IM_MODULE=xim
:PWD=/home/pasha
:XMODIFIERS=@im=none
:EDITOR=mcedit
:SVN=svn+ssh://x-www.info/mnt/sgtBarracuda/SVN_test/svn/repositories/
:KDE_IS_PRELINKED=1
:LANG=ru_RU.UTF-8
:GNOME_KEYRING_PID=1510
:KDE_SESSION_UID=1000
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:XRE_PROFILE_PATH=
:LOADEDMODULES=
:KDEDIRS=/usr
:XSUNSMESIZE=512
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoreboth
:MULE_BASE=/opt/mule-standalone-3.2.0
:IMUS_MULE_2_1=/opt/mule-standalone-3.2.0
:SHLVL=2
:HOME=/home/pasha
:XDG_SEAT=seat0
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=Adwaita
:DYLD_LIBRARY_PATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird
:BASH_ENV=/home/pasha/.bashrc
:LOGNAME=pasha
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:MOZ_LAUNCHED_CHILD=
:'LESS_TERMCAP_so=\x1b[01;44;33m'
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-JwE6oedFv8,guid=ec964c342cff5d8c8febfded00000071
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:MODULESHOME=/usr/share/Modules
:NO_EM_RESTART=
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird
:MOZ_CRASHREPORTER_RESTART_ARG_1=--sm-config-prefix
:WINDOWPATH=1
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/thunderbird/thunderbird
:XRE_BINARY_PATH=
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/pasha
:MOZ_CRASHREPORTER_RESTART_ARG_3=--sm-client-id
:QT_PLUGIN_PATH=/home/pasha/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:MOZ_CRASHREPORTER_RESTART_ARG_2=/thunderbird-bin-ChZN1g/
:GTK_IM_MODULE=xim
:MOZ_CRASHREPORTER_RESTART_ARG_5=--screen
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/pasha/.thunderbird/Crash Reports'
:XUL_APP_FILE=
:NO_AT_BRIDGE=1
:MOZ_CRASHREPORTER_RESTART_ARG_4=10d1e9d7d5000133267440300000016470092
:MOZ_CRASHREPORTER_RESTART_ARG_7=
:'LESS_TERMCAP_se=\x1b[0m'
:XAUTHORITY=/tmp/kde-pasha/xauth-1000-_0
:MOZ_CRASHREPORTER_RESTART_ARG_6=0
:'module=() {  eval `/usr/bin/modulecmd sh $*`\n}'

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62096                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62096                62096                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

var_log_messages:
:May  4 20:24:45 hubbitus kernel: [30939.312329] thunderbird-bin[25697] trap int3 ip:3d12c4e821 sp:7fff854eedf0 error:0
:May  4 20:25:00 hubbitus abrt[25979]: Saved core dump of pid 25697 (/usr/lib64/thunderbird/thunderbird-bin) to /var/spool/abrt/ccpp-2012-05-04-20:24:45-25697 (1080717312 bytes)

xsession_errors:
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
:** (process:2034): WARNING **: recent-manager-provider.vala:125: Desktop file for thunderbird-bin was not found
Comment 1 Pavel Alexeev 2012-05-04 14:12:34 EDT
Created attachment 582173 [details]
File: event_log
Comment 2 Pavel Alexeev 2012-05-04 14:12:37 EDT
Created attachment 582174 [details]
File: backtrace
Comment 3 Pavel Alexeev 2012-05-04 14:12:39 EDT
Created attachment 582175 [details]
File: smolt_data
Comment 4 Pavel Alexeev 2012-05-04 14:12:41 EDT
Created attachment 582176 [details]
File: maps
Comment 5 Pavel Alexeev 2012-05-04 14:12:43 EDT
Created attachment 582177 [details]
File: dso_list
Comment 6 Pavel Alexeev 2012-05-04 14:12:45 EDT
Created attachment 582178 [details]
File: build_ids
Comment 7 Pavel Alexeev 2012-05-04 14:12:49 EDT
Created attachment 582179 [details]
File: open_fds
Comment 8 Martin Stransky 2012-05-07 03:22:36 EDT
Program terminated with signal 5, Trace/breakpoint trap - I don't understand why it's reported. 

If you see any crash, please attach a backtrace in the recommended way (https://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products)
Comment 9 Pavel Alexeev 2012-05-12 03:33:04 EDT
Is abrt backtrace not enough?
Comment 10 Martin Stransky 2012-05-14 04:22:13 EDT
My comment 8 is invalid, this is a dupe of another bug, we reassigned it to glib2. Thanks for the report.
Comment 11 Pavel Alexeev 2012-06-23 09:35:29 EDT
I've try follow your link, but it seams some sort outdated:
$ thunderbird -g -d gdb
Warning: unrecognized command line flag -g

Please say what I can do to provide info which will allow fix its very annoying chrashes.
Comment 12 Jan Horak 2012-07-31 10:15:19 EDT
(In reply to comment #11)
> I've try follow your link, but it seams some sort outdated:
> $ thunderbird -g -d gdb
> Warning: unrecognized command line flag -g
> 
> Please say what I can do to provide info which will allow fix its very
> annoying chrashes.
Use:
/usr/lib64/thunderbird/run-mozilla.sh -g /usr/lib64/thunderbird/thunderbird
instead of:
thunderbird -g -d gdb
I'm going to fix it in next release.

Do you see it frequently? According to backtrace it looks like dbus issue.
Comment 13 Pavel Alexeev 2012-08-12 05:43:12 EDT
(In reply to comment #12)
> Use:
> /usr/lib64/thunderbird/run-mozilla.sh -g /usr/lib64/thunderbird/thunderbird
> instead of:
> thunderbird -g -d gdb
> I'm going to fix it in next release.
I run thunderbird under gdb, thank you.

> Do you see it frequently? According to backtrace it looks like dbus issue.
Frequently is subjectively. It happened from 1 time in 2 days to 3-6 in a day. And I can't specially reproduce that manually.
Comment 14 Pavel Alexeev 2012-08-22 08:05:22 EDT
Created attachment 606223 [details]
Backtrace by instruction.
Comment 15 Pavel Alexeev 2012-08-23 13:02:22 EDT
Created attachment 606657 [details]
Happened again
Comment 16 Jan Horak 2012-09-04 09:51:43 EDT
This seems to be 3 different crashes:
1. Original backtrace is crashing dbus
2. Second backtrace - no clue what's going on
3. Last crash backtrace is described here: https://bugzilla.redhat.com/show_bug.cgi?id=806656 (oxygen theme issue).
Comment 17 Jan Horak 2012-09-14 04:23:29 EDT
About first backtrace (abrt), did you run thunderbird in debugger? The signal SIGTRAP is used by debugger to break running of code.
Comment 18 Fedora End Of Life 2013-07-04 01:55:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2013-08-01 13:13:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.